<?php

// Version vom 02.09.2013

class KtoUpdate {
  private $COM;
  public function __construct() {
    if (substr(PHP_OS, 0, 3)=='WIN')
      $this->COM=new COM('Bank.KtoUpdate');
  }
  public function __destruct() {
  }

  // Fehlerbehandlung

  public function GetErrorMessage($aErrorCode) {
    if (isset($this->COM))
      return $this->COM->GetErrorMessage($aErrorCode);
    else
      return KtoUpdateGetErrorMessage($aErrorCode);
  }
  public function GetLastError() {
    if (isset($this->COM))
      return $this->COM->GetLastError();
    else
      return KtoUpdateGetLastError();
  }

  // KtoUpdate

  public function GetCurrentFileName() {
    if (isset($this->COM))
      return $this->COM->GetCurrentFileName();
    else
      return KtoUpdateGetCurrentFileName();
  }
  public function GetNewestFileName() {
    if (isset($this->COM))
      return $this->COM->GetNewestFileName();
    else
      return KtoUpdateGetNewestFileName();
  }
  public function GetDataDirectory() {
    if (isset($this->COM))
      return $this->COM->GetDataDirectory();
    else
      return KtoUpdateGetDataDirectory();
  }
  public function SetDataDirectory($aDataDirectory) {
    if (isset($this->COM))
      $this->COM->SetDataDirectory($aDataDirectory);
    else
      KtoUpdateSetDataDirectory($aDataDirectory);
  }
  public function SetProxy($aHost, $aPort) {
    if (isset($this->COM))
      $this->COM->SetProxy($aHost, $aPort);
    else
      KtoUpdateSetProxy($aHost, $aPort);
  }
  public function SetTimeout($aTimeout) {
    if (isset($this->COM))
      $this->COM->SetTimeout($aTimeout);
    else
      KtoUpdateSetTimeout($aTimeout);
  }
  public function ServerCheck($aUser, $aPass) {
    if (isset($this->COM))
      return $this->COM->ServerCheck($aUser, $aPass);
    else
      return KtoUpdateServerCheck($aUser, $aPass);
  }
  public function ServerDownload($aUser, $aPass) {
    if (isset($this->COM))
      return $this->COM->ServerDownload($aUser, $aPass);
    else
      return KtoUpdateServerDownload($aUser, $aPass);
  }
  public function Unpack($aFileName) {
    if (isset($this->COM))
      return $this->COM->Unpack($aFileName);
    else
      return KtoUpdateUnpack($aFileName);
  }
  public function Activate($aFileName) {
    if (isset($this->COM))
      return $this->COM->Activate($aFileName);
    else
      return KtoUpdateActivate($aFileName);
  }

}

?>
