<?php

// Version vom 02.09.2013

class KtoArbeit {
  private $COM;
  public function __construct() {
    if (substr(PHP_OS, 0, 3)=='WIN')
      $this->COM=new COM('Bank.KtoArbeit');
  }
  public function __destruct() {
  }

  // Fehlerbehandlung

  public function GetErrorMessage($aErrorCode) {
    if (isset($this->COM))
      return $this->COM->GetErrorMessage($aErrorCode);
    else
      return KtoArbeitGetErrorMessage($aErrorCode);
  }
  public function GetLastError() {
    if (isset($this->COM))
      return $this->COM->GetLastError();
    else
      return KtoArbeitGetLastError();
  }

  // KtoArbeit

  public function Arbeitstage($aYear, $aMonth, $aSaturdaysFlag, $aFeiertageSet) {
    if (isset($this->COM))
      return $this->COM->Arbeitstage($aYear, $aMonth, $aSaturdaysFlag, $aFeiertageSet);
    else
      return KtoArbeitArbeitstage($aYear, $aMonth, $aSaturdaysFlag, $aFeiertageSet);
  }

}

?>
