<?php

// Version vom 02.09.2013

class KtoRead {
  private $COM;
  public function __construct() {
    if (substr(PHP_OS, 0, 3)=='WIN')
      $this->COM=new COM('Bank.KtoRead');
  }
  public function __destruct() {
  }

  // Fehlerbehandlung

  public function GetErrorMessage($aErrorCode) {
    if (isset($this->COM))
      return $this->COM->GetErrorMessage($aErrorCode);
    else
      return KtoReadGetErrorMessage($aErrorCode);
  }
  public function GetLastError() {
    if (isset($this->COM))
      return $this->COM->GetLastError();
    else
      return KtoReadGetLastError();
  }

  // KtoRead

  public function ReadMt940($aDatabaseType, $aDatabaseName, $aUsername, $aPassword, $aFileName, $aTranslation, $aUserId) {
    if (isset($this->COM))
      return $this->COM->ReadMt940($aDatabaseType, $aDatabaseName, $aUsername, $aPassword, $aFileName, $aTranslation, $aUserId);
    else
      return KtoReadReadMt940($aDatabaseType, $aDatabaseName, $aUsername, $aPassword, $aFileName, $aTranslation, $aUserId);
  }

}

?>
